import { r as registerInstance, h } from './index-f1d2a96f.js';

const scRadioGroupCss = ":host{display:block}.radio-group{border:none;padding:0;margin:0;min-width:0}.radio-group .radio-group__label{display:inline-block;padding:0;color:var(--sc-input-label-color);font-weight:var(--sc-input-label-font-weight);text-transform:var(--sc-input-label-text-transform, none);letter-spacing:var(--sc-input-label-letter-spacing, 0);margin-bottom:var(--sc-input-label-margin)}::slotted(sc-radio:not(:last-of-type)){display:block;margin-bottom:var(--sc-spacing-x-small) !important}";

const ScRadioGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** The radio group label. Required for proper accessibility. */
    this.label = '';
  }
  render() {
    return (h("fieldset", { part: "base", class: {
        'radio-group': true,
      }, role: "radiogroup" }, h("legend", { part: "label", class: "radio-group__label" }, h("slot", { name: "label" }, this.label)), h("slot", null)));
  }
};
ScRadioGroup.style = scRadioGroupCss;

export { ScRadioGroup as sc_radio_group };
